--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: error_index
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: request_id
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: varbind_list
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: decode
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: ERROR_STATUS_NAME
  value: "{          0 => :noError,          1 => :tooBig,          2 => :noSuchName,          3 => :badValue,          4 => :readOnly,          5 => :genErr,          6 => :noAccess,          7 => :wrongType,          8 => :wrongLength,          9 => :wrongEncoding,         10 => :wrongValue,         11 => :noCreation,         12 => :inconsistentValue,         13 => :resourceUnavailable,         14 => :commitFailed,         15 => :undoFailed,         16 => :authorizationError,         17 => :notWritable,         18 => :inconsistentName"
- !ruby/object:RI::Constant 
  comment: 
  name: ERROR_STATUS_CODE
  value: ERROR_STATUS_NAME.invert
full_name: SNMP::PDU
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: each_varbind
- !ruby/object:RI::MethodSummary 
  name: encode_pdu
- !ruby/object:RI::MethodSummary 
  name: error_status
- !ruby/object:RI::MethodSummary 
  name: error_status=
name: PDU
superclass: Object
